package jp.co.kpscorp.meema.test;


import jp.co.kpscorp.meema.service.TestService;
import jp.co.kpscorp.meema.service.TestServiceCode;
import jp.co.kpscorp.meema.service.TestServiceTest;
import junit.framework.TestCase;

/**
 * <strong> 任意のメソッドをアサートするサンプル。</strong>
 * <p>
 * 詳細は http://meema.sourceforge.jp を参照してください。
 * 
 * @author katsusuke
 * 
 */
public class SysPropertiesTest extends TestCase {
	public void testSysprop() throws Exception {
		// TestService コード生成
		TestService ts = new TestServiceCode("src",
				"jp.co.kpscorp.meema.test.asserts");
		// コード生成 ここまで

		// TestService コード実行
		// TestService ts = new
		// TestServiceTest("jp.co.kpscorp.meema.test.asserts");
		// コード実行 ここまで

		// SystemのpropertiesをWrapする
		PropertiesWrapper wrapper = new PropertiesWrapper(System
				.getProperties());
		// TestService実行
		ts.exec(wrapper, "SysProp");
	}
}
